/* REXX */
/*  Written by: Stan Towianski
**  With this routine your machine can handle faxing along with internet connections
**  by simply turning off one while you use the other.
**   I now call this from my scheduler instead of putting the dialip command
**  in it.  What I have found is that for the Chameleon mailer program if
**  sendmail is running in server mode while I am connected to the internet
**  if they sent me an email it would come over, but then the Cham. mailer
**  would have a problem with the last 2 bytes of its send and error out.
**  It would then wait and send it again and run into the same error and
**  does this continuously.
**  So what I do is kill sendmail before connecting to the internet.  Nobody
**  can send my machine mail during this time but they don't mess up.
**  Then I restart sendmail server again after disconnect.
*/

etc_path = value( 'ETC', , 'OS2ENVIRONMENT' )

/* kill of sendmail */
rc = killbn( sendmail )

/* kill of faxworks if you have it */
rc = killbn( faxworks )

call syssleep 3

/* start network interface monitor for sl line 1 */
'start nifmon sl0 1'

'dialip -idSTANTOW -dl -sm -cm -gdm -gm -not -hu -ex -noshow'

/* kill of nifmon */
rc = killbn( nifmon )

/* restart sendmail on my machine */
'start /n /min sendmail -bd -q30m -C'etc_path'\sendmail.uml'

call syssleep 6

/* restart faxworks in receiving mode */
'start /n /min D:\faxworks\faxworks -r'

'exit'
exit 0

